Datasources

Soda Cloud API Datasource Endpoints

List datasources

get
/api/v1/datasources

This endpoint allows you to list datasources in your organization.

This GET is a paginated API that uses the following parameters to request specific details:

  • size: Supply an integer value between 10 and 1000, inclusive. The default value is 10.

  • page: Supply an integer value. The default value is 0.

  • search: Supply a string value to filter datasources by name (case-insensitive partial match).

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_DATASOURCES_AND_AGENTS to execute this call.

Tags

Datasources

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · int32Optional
searchstringOptional
sizeinteger · int32Optional
Responses
chevron-right
200

Successful response

application/json
firstbooleanRequired
lastbooleanRequired
numberinteger · int32Required
sizeinteger · int32Required
totalElementsinteger · int32Required
totalPagesinteger · int32Required
get
/api/v1/datasources

Create a datasource

post
/api/v1/datasources

Creates a new V4 datasource with the provided configuration.

The datasource type is extracted from the YAML configuration file contents.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_DATASOURCES_AND_AGENTS to execute this call.

Tags

Datasources

Rate limiting

10 requests/60 seconds

Authorizations
AuthorizationstringRequired
Body
agentIdstringRequired
configurationFileContentsstringRequired
labelstringOptional
namestringRequired
Responses
chevron-right
200

Successful response

application/json
discoveryScanIdstringOptional
post
/api/v1/datasources

Test datasource connection

post
/api/v1/datasources/actions/testConnection

This endpoint triggers an asynchronous connection test for a datasource configuration.

The response includes an operation ID that you can use to poll the status of the connection test.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_DATASOURCES_AND_AGENTS to execute this call.

Tags

Datasources

Rate limiting

10 requests/60 seconds

Authorizations
AuthorizationstringRequired
Body
agentIdstringRequired
configurationFileContentsstringRequired
Responses
post
/api/v1/datasources/actions/testConnection

No content

Get status for async connection test

get
/api/v1/datasources/actions/testConnection/{operationId}

This endpoint allows you to check the status of an asynchronous connection test operation.

Use the operation ID returned by the test connection endpoint to poll for its current state.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_DATASOURCES_AND_AGENTS to execute this call.

Tags

Datasources

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
operationIdstringRequired
Responses
chevron-right
200

Successful response

application/json
idstringRequired
messagestringOptional
startedstringOptional
stateobject · enumRequiredPossible values:
get
/api/v1/datasources/actions/testConnection/{operationId}

Get a datasource

get
/api/v1/datasources/{datasourceId}

This endpoint allows you to retrieve a specific datasource by its ID.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_DATASOURCES_AND_AGENTS to execute this call.

Tags

Datasources

Rate limiting

1000 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasourceIdstringRequired
Responses
chevron-right
200

Successful response

application/json
get
/api/v1/datasources/{datasourceId}

Update a datasource

post
/api/v1/datasources/{datasourceId}

Updates the configuration of an existing contract (V4) datasource.

Only the fields provided in the request body will be updated.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_DATASOURCES_AND_AGENTS to execute this call.

Tags

Datasources

Rate limiting

100 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasourceIdstringRequired
Body
agentIdstringOptional
configurationFileContentsstringOptional
labelstringOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/datasources/{datasourceId}

Delete a datasource

delete
/api/v1/datasources/{datasourceId}

Deletes an existing datasource and all its associated resources.

The deletion is performed asynchronously.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission MANAGE_DATASOURCES_AND_AGENTS to execute this call.

Tags

Datasources

Rate limiting

10 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasourceIdstringRequired
Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/datasources/{datasourceId}

Onboard discovered datasets

post
/api/v1/datasources/{datasourceId}/onboardDatasets

This endpoint triggers the asynchronous onboarding of discovered datasets for a datasource.

Supply a list of discovered dataset IDs in the request body to onboard them as datasets.

The response includes an onboarding ID that you can use to poll the status of the onboarding process.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Users must have global role permission CREATE_NEW_DATASOURCES_AND_DATASETS to execute this call.

Tags

Datasources

Rate limiting

10 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasourceIdstringRequired
Body
discoveredDatasetIdsstring[]Required
Responses
post
/api/v1/datasources/{datasourceId}/onboardDatasets

No content

Get status for async dataset onboarding process

get
/api/v1/datasources/{datasourceId}/onboardDatasets/{operationId}

This endpoint allows you to check the status of an asynchronous dataset onboarding operation.

Use the operation ID returned by the onboard datasets endpoint to poll for its current state.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Any Soda Cloud user in your organization may execute this query.

Tags

Datasources

Rate limiting

60 requests/60 seconds

Authorizations
AuthorizationstringRequired
Path parameters
datasourceIdstringRequired
operationIdstringRequired
Responses
chevron-right
200

Successful response

application/json
endedstringOptional
idstringRequired
messagestringOptional
startedstringOptional
stateobject · enumRequiredPossible values:
get
/api/v1/datasources/{datasourceId}/onboardDatasets/{operationId}

Last updated

Was this helpful?